
Summary:	Web development studio
Summary(de):	Webentwicklerstudio
Name:		bluefish
Version:	2.2.10
Release:	%mkrel 1
URL:		http://bluefish.openoffice.nl/
License:	GPL
Group:		Networking/WWW
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Source:		http://bluefish.openoffice.nl/download/%{name}-%{version}.tar.xz
Source1:	bluefish_splash.png
BuildRequires: ImageMagick
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: gnome-mime-data
BuildRequires: %{_lib}aspell-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}enchant-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
#BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: intltool
BuildRequires: libpthread-stubs
Requires:	dconf
Requires:	gsettings-desktop-schemas
#Requires:	gtk+3.0 >= 3.12.1
Requires:   gtk+2.0
Requires(post): libxml2-utils
Requires(postun): libxml2-utils

%description
Bluefish is a programmer's HTML editor, designed to save the experienced
webmaster some keystrokes.

It features a multiple file editor, multiple toolbars, custom menus, image
and thumbnail dialogs,  open from the web, HTML validation and lots of wizards.

This is not a WYSIWYG editor but a HTML editor (you edit the HTML code).

%description -l de
Bluefish ist ein HTML-Editor für Programmierer, der die Tastatureingaben 
aufzeichnet. Er unterstützt verschiedene Datei-Editoren, unterschiedliche 
Werkzeuge, angepasste Menüs, Bilder und Thumbnails Dialoge, die im Netz 
geöffnet sind, HTML Gültigkeitsprüfung und viele detaillierte Anleitungen. 
Es ist kein WYSIWYG Editor, aber ein HTML-Editor (man gibt HTML Code ein). 

%prep
%setup -q

%build
sed -i "s/ICONDIR\/bluefish-icon.png/bluefish-icon/g;" desktop-data/bluefish.desktop.in
sed -i "s/_Keywords=programming;code;html;php;python;/#_Keywords=programming;code;html;php;python;/g" desktop-data/bluefish.desktop.in
%configure2_5x --disable-update-databases --disable-splash-screen --enable-bookmarks --disable-xml-catalog-update --with-gtk2

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-WebEditors" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/%{_datadir}/bluefish/bluefish_splash.png



%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_mime_database
/usr/bin/xmlcatalog --noout --add 'delegateURI' \
    'http://bluefish.openoffice.nl/ns/bflang/2.0/' '%{_datadir}/xml/%{name}' \
    %{_sysconfdir}/xml/catalog > /dev/null || :

    
		
%postun
%clean_desktop_database
%clean_mime_database
if [ "$1" = 0 ]; then
    /usr/bin/xmlcatalog --noout --del \
        'http://bluefish.openoffice.nl/ns/bflang/2.0/' \
        %{_sysconfdir}/xml/catalog > /dev/null || :
fi

%files
%defattr(-,root,root,0755)
%doc AUTHORS README ChangeLog NEWS TODO
%{_bindir}/%{name}
%{_libdir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/mime/packages/*
%{_mandir}/man1/%name.1.bz2
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/xml/bluefish
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/appdata/bluefish.appdata.xml


%changelog
* Fri Jun 09 2017 adrianomorselli <adrianomorselli> 2.2.10-1uplos2017
- update
